Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.api.query.qom
Interface QueryObjectModelConstants

All Superinterfaces:
  QueryObjectModelConstants

    public interface QueryObjectModelConstants

extends QueryObjectModelConstants

Field Summary
`static String` | `JCR_ARITHMETIC_OPERATOR_ADD` The 'add' operator for arithmetic operations.
`static String` | `JCR_ARITHMETIC_OPERATOR_DIVIDE` The 'add' operator for arithmetic operations.
`static String` | `JCR_ARITHMETIC_OPERATOR_MULTIPLY` The 'add' operator for arithmetic operations.
`static String` | `JCR_ARITHMETIC_OPERATOR_SUBTRACT` The 'add' operator for arithmetic operations.
`static String` | `JCR_JOIN_TYPE_CROSS` A cross join.
`static String` | `JCR_JOIN_TYPE_FULL_OUTER` A full-outer join.
`static String` | `JCR_SET_TYPE_EXCEPT` A 'except' set operation.
`static String` | `JCR_SET_TYPE_INTERSECT` A 'intersect' set operation.
`static String` | `JCR_SET_TYPE_UNION` A 'union' set operation.

Fields inherited from interface javax.jcr.query.qom.QueryObjectModelConstants
`JCR_JOIN_TYPE_INNER, JCR_JOIN_TYPE_LEFT_OUTER, JCR_JOIN_TYPE_RIGHT_OUTER, JCR_OPERATOR_EQUAL_TO, JCR_OPERATOR_GREATER_THAN, JCR_OPERATOR_GREATER_THAN_OR_EQUAL_TO, JCR_OPERATOR_LESS_THAN, JCR_OPERATOR_LESS_THAN_OR_EQUAL_TO, JCR_OPERATOR_LIKE, JCR_OPERATOR_NOT_EQUAL_TO, JCR_ORDER_ASCENDING, JCR_ORDER_DESCENDING`

Field Detail

### JCR_ARITHMETIC_OPERATOR_ADD

    static final String JCR_ARITHMETIC_OPERATOR_ADD

  The 'add' operator for arithmetic operations.

  See Also:
    Constant Field Values

### JCR_ARITHMETIC_OPERATOR_SUBTRACT

    static final String JCR_ARITHMETIC_OPERATOR_SUBTRACT

  The 'add' operator for arithmetic operations.

  See Also:
    Constant Field Values

### JCR_ARITHMETIC_OPERATOR_MULTIPLY

    static final String JCR_ARITHMETIC_OPERATOR_MULTIPLY

  The 'add' operator for arithmetic operations.

  See Also:
    Constant Field Values

### JCR_ARITHMETIC_OPERATOR_DIVIDE

    static final String JCR_ARITHMETIC_OPERATOR_DIVIDE

  The 'add' operator for arithmetic operations.

  See Also:
    Constant Field Values

### JCR_SET_TYPE_UNION

    static final String JCR_SET_TYPE_UNION

  A 'union' set operation.

  See Also:
    Constant Field Values

### JCR_SET_TYPE_INTERSECT

    static final String JCR_SET_TYPE_INTERSECT

  A 'intersect' set operation.

  See Also:
    Constant Field Values

### JCR_SET_TYPE_EXCEPT

    static final String JCR_SET_TYPE_EXCEPT

  A 'except' set operation.

  See Also:
    Constant Field Values

### JCR_JOIN_TYPE_FULL_OUTER

    static final String JCR_JOIN_TYPE_FULL_OUTER

  A full-outer join.

  See Also:
    Constant Field Values

### JCR_JOIN_TYPE_CROSS

    static final String JCR_JOIN_TYPE_CROSS

  A cross join.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.